.. _gtester-report(1):
.. meta::
   :copyright: Copyright 2008 Matthias Clasen
   :copyright: Copyright 2012, 2013 Red Hat, Inc.
   :copyright: Copyright 2019 Endless Mobile, Inc.
   :license: LGPL-2.1-or-later
..
   This has to be duplicated from above to make it machine-readable by `reuse`:
   SPDX-FileCopyrightText: 2008 Matthias Clasen
   SPDX-FileCopyrightText: 2012, 2013 Red Hat, Inc.
   SPDX-FileCopyrightText: 2019 Endless Mobile, Inc.
   SPDX-License-Identifier: LGPL-2.1-or-later

==============
gtester-report
==============

------------------------------
test report formatting utility
------------------------------

SYNOPSIS
--------

|  **gtester-report** [*OPTION*…] *gtester-log*

DESCRIPTION
-----------

``gtester-report`` is a script which converts the XML output generated by
``gtester`` into HTML.

Since GLib 2.62, ``gtester-report`` is deprecated. Use TAP for reporting test
results instead, and feed it to the test harness provided by your build system.

OPTIONS
-------

``-h``, ``--help``

  Print help and exit.

``-v``, ``--version``

  Print version information and exit.

``-s``, ``--subunit``

  Output subunit. Needs ``python-subunit``.

SEE ALSO
--------

`gtester(1) <man:gtester(1)>`_